summaryrefslogtreecommitdiff
path: root/packaging/ubuntu-mantic/merchant-build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packaging/ubuntu-mantic/merchant-build.sh')
-rw-r--r--packaging/ubuntu-mantic/merchant-build.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/packaging/ubuntu-mantic/merchant-build.sh b/packaging/ubuntu-mantic/merchant-build.sh
new file mode 100644
index 0000000..24f5f9d
--- /dev/null
+++ b/packaging/ubuntu-mantic/merchant-build.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# This file is in the public domain.
+# Helper script to build the latest DEB packages in the container.
+
+set -eu
+unset LD_LIBRARY_PATH
+mkdir -p /build/taler
+cd /build/taler
+
+# Fetch source
+rm -rf *
+
+# pip3 install --break-system-packages htmlark
+
+git clone git://git.taler.net/merchant
+cd merchant
+git checkout $1
+./bootstrap
+dpkg-buildpackage -rfakeroot -b -uc -us
+cd ..
+dpkg -i *.deb
+
+tar uvf ../packages.tgz *.deb
+cd ..